* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --slide-content-min-width: 800px;
  --slide-content-min-height: 533px;
  --slide-min-padding: 20px;
  --slide-margin-left: 30px
}

body {
  font-family: Arial, sans-serif;
  background-color: #f5f5f5;
  overflow-x: auto;
}

.slide img {
  max-width: 100%;
  max-height: 100%;
  height: auto;
  object-fit: contain;

}

.slide {
  height: 100vh;
  min-width: calc(var(--slide-content-min-width) + var(--slide-min-padding));
  min-height: calc(var(--slide-content-min-height) + var(--slide-min-padding));
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  background-color: #d9d9d9;
}

.slide > div {
  min-width: var(--slide-content-min-width);
  min-height: var(--slide-content-min-height);
  width: 95%;
  height: 95%;
  max-width: max(calc(100vh * 1.5), var(--slide-content-min-width));
  max-height: max(calc(100vw * (2/3)), var(--slide-content-min-height));
  padding: var(--slide-min-padding);
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: start;
  aspect-ratio: 3 / 2;
  background-color: #fff;
  position: relative;
  flex-grow: 1;
}

.side-by-side {
  flex-direction: row;
}

.image-container img {
  width: calc(100% - 20px);
  height: calc(100% - 20px);
  padding: 20px;
  align-items: center;
}

.spacer {
  flex-grow: 1;
}

.floating-title {
  min-width: calc(var(--slide-content-min-width) - 80px);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.slide h1 {
  font-size: clamp(2rem, 8vw, 6.5rem);
  color: #ffffff;
  text-shadow: 2px 2px  rgb(0, 0, 0);
  text-align: center;
  margin-top: var(--slide-min-padding);
}

.slide h2 {
  font-size: clamp(1.5rem, 3vw, 5rem);
  font-weight: bold;
  text-align: left;
  margin-bottom: 30px;
  margin-left: var(--slide-margin-left);
}

.slide p, .slide li {
  font-size: clamp(1.2rem, 1.7vw, 2rem);
  margin-left: var(--slide-margin-left);
  margin-bottom: 10px;
}

.slide ul, .slide ol {
  padding-left: 20px;
}

.slide ol {
  list-style-type: decimal;
}

.navigation {
  position: fixed;
  bottom: 20px;
  right: 20px;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.prev-btn,
.next-btn {
  background-color: transparent;
  border: none;
  font-size: 35px;
  color: #333;
  cursor: pointer;
  padding: 10px;
}